org.apache.lucene.analysis.no

## Class NorwegianLightStemFilter

- java.lang.Object
- - org.apache.lucene.util.AttributeSource
  - - org.apache.lucene.analysis.TokenStream
    - - org.apache.lucene.analysis.TokenFilter
      - - org.apache.lucene.analysis.no.NorwegianLightStemFilter

- All Implemented Interfaces:
    Closeable, AutoCloseable

      public final class NorwegianLightStemFilter
      extends TokenFilter

  A `TokenFilter` that applies `NorwegianLightStemmer` to stem Norwegian words.

  To prevent terms from being stemmed use an instance of `SetKeywordMarkerFilter` or a custom `TokenFilter` that sets the `KeywordAttribute` before this `TokenStream`.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.lucene.util.AttributeSource

      `AttributeSource.State`

  - ### Field Summary

    - ### Fields inherited from class org.apache.lucene.analysis.TokenFilter

      `input`

    - ### Fields inherited from class org.apache.lucene.analysis.TokenStream

      `DEFAULT_TOKEN_ATTRIBUTE_FACTORY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NorwegianLightStemFilter(TokenStream input)` Calls `NorwegianLightStemFilter(input, BOKMAAL)`
    `NorwegianLightStemFilter(TokenStream input, int flags)` Creates a new NorwegianLightStemFilter

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `incrementToken()`

    - ### Methods inherited from class org.apache.lucene.analysis.TokenFilter

      `close, end, reset`

    - ### Methods inherited from class org.apache.lucene.util.AttributeSource

      `addAttribute, addAttributeImpl, captureState, clearAttributes, cloneAttributes, copyTo, endAttributes, equals, getAttribute, getAttributeClassesIterator, getAttributeFactory, getAttributeImplsIterator, hasAttribute, hasAttributes, hashCode, reflectAsString, reflectWith, removeAllAttributes, restoreState, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### NorwegianLightStemFilter

          public NorwegianLightStemFilter(TokenStream input)

      Calls `NorwegianLightStemFilter(input, BOKMAAL)`

    - #### NorwegianLightStemFilter

          public NorwegianLightStemFilter(TokenStream input,
                                          int flags)

      Creates a new NorwegianLightStemFilter
      Parameters:
        `flags` - set to `NorwegianLightStemmer.BOKMAAL`, `NorwegianLightStemmer.NYNORSK`, or both.

  - ### Method Detail

    - #### incrementToken

          public boolean incrementToken()
                                 throws IOException

      Specified by:
        `incrementToken` in class `TokenStream`
      Throws:
        `IOException`

Copyright © 2000-2019 Apache Software Foundation. All Rights Reserved.